- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup Struct Reference

List of all members.

## Detailed Description

Setup information about the browser.

Definition at line 62 of file CPresetBrowser.hpp.

## Public Member Functions

- void initialise ()

## Public Attributes

- CRect m_bankComboArea
- IImage * m_bankComboDownImage
- IImage * m_bankComboUpImage
- CDimension m_headArea
- CRect m_loadButtonArea
- IImage * m_loadButtonDownImage
- IImage * m_loadButtonUpImage
- CSystemString m_rootPath
- CRect m_saveButtonArea
- IImage * m_saveButtonDownImage
- IImage * m_saveButtonUpImage
- CDimension m_selectorArea
- CAlphaColour m_textColour
- CFont * m_theFont

## Member Function Documentation

void Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::initialise | ( |  | ) | `[inline]`

Initialise all the variables

Definition at line 86 of file CPresetBrowser.hpp.

References m_bankComboDownImage, m_bankComboUpImage, m_loadButtonDownImage, m_loadButtonUpImage, m_saveButtonDownImage, m_saveButtonUpImage, m_theFont, and NULL_POINTER.

## Member Data Documentation

CRect Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::m_bankComboArea

Size of combo for the head

Definition at line 67 of file CPresetBrowser.hpp.

IImage* Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::m_bankComboDownImage

Combo box down image

Definition at line 75 of file CPresetBrowser.hpp.

Referenced by initialise().

IImage* Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::m_bankComboUpImage

Combo box up image

Definition at line 74 of file CPresetBrowser.hpp.

Referenced by initialise().

CDimension Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::m_headArea

Size of the head area (contains load, save and bank select

Definition at line 64 of file CPresetBrowser.hpp.

CRect Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::m_loadButtonArea

Size of the load button for the head

Definition at line 68 of file CPresetBrowser.hpp.

IImage* Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::m_loadButtonDownImage

Load button down image

Definition at line 79 of file CPresetBrowser.hpp.

Referenced by initialise().

IImage* Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::m_loadButtonUpImage

Load button up image

Definition at line 78 of file CPresetBrowser.hpp.

Referenced by initialise().

CSystemString Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::m_rootPath

Root path, nothing higher than this can be traversed by the selector

Definition at line 81 of file CPresetBrowser.hpp.

CRect Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::m_saveButtonArea

Size of the save button for the head

Definition at line 69 of file CPresetBrowser.hpp.

IImage* Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::m_saveButtonDownImage

Save button down image

Definition at line 77 of file CPresetBrowser.hpp.

Referenced by initialise().

IImage* Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::m_saveButtonUpImage

Save button up image

Definition at line 76 of file CPresetBrowser.hpp.

Referenced by initialise().

CDimension Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::m_selectorArea

Size of the selector which shows the files

Definition at line 65 of file CPresetBrowser.hpp.

CAlphaColour Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::m_textColour

Colour of the text for the selector

Definition at line 72 of file CPresetBrowser.hpp.

CFont* Exponent::GUI::Controls::CPresetBrowser::SPresetBrowserSetup::m_theFont

Font for the selector

Definition at line 71 of file CPresetBrowser.hpp.

Referenced by initialise().